Create currency conversion lists

post

/fscmRestApi/resources/11.13.18.05/currencyConversionLists

Request

Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
  • Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : Access Sets
Type: array
Title: Access Sets
Access set for the currency conversion list.
Show Source
Nested Schema : Conversion Details
Type: array
Title: Conversion Details
Conversion details of the currency conversion list.
Show Source
Nested Schema : headerDFF
Type: array
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : currencyConversionLists-conversions-item-post-request
Type: object
Show Source
Nested Schema : detailsDFF
Type: array
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : schema
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : currencyConversionLists-item-response
Type: object
Show Source
Nested Schema : Access Sets
Type: array
Title: Access Sets
Access set for the currency conversion list.
Show Source
Nested Schema : Conversion Details
Type: array
Title: Conversion Details
Conversion details of the currency conversion list.
Show Source
Nested Schema : headerDFF
Type: array
Show Source
Nested Schema : currencyConversionLists-accessSets-item-response
Type: object
Show Source
Nested Schema : currencyConversionLists-conversions-item-response
Type: object
Show Source
Nested Schema : detailsDFF
Type: array
Show Source
Nested Schema : currencyConversionLists-conversions-detailsDFF-item-response
Type: object
Show Source
Nested Schema : currencyConversionLists-headerDFF-item-response
Type: object
Show Source
Back to Top

Examples

This example describes how to create currency conversion lists.

Example cURL Command

Use the following cURL command to submit a request on the REST resource.

curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' 
"https://servername/fscmRestApi/resources/version/currencyConversionLists"

Example Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.

{
  "CurrencyConversionName": "Corporate Currency List",
  "BusinessUnitId": "204",
  "StartDate": "2025-12-17T00:00:00+00:00",
  "EndDate": "2026-01-31T00:00:00+00:00",
  "CurrencyConversionDescription": "Corporate Currency Lists "
}

Example Response Body

The following example includes the contents of the response body in JSON format:

{
  "CurrencyConversionName" : "Corporate Currency List",
  "CurrencyConvListId" : "300100644276493",
  "CurrencyConversionDescription" : "Corporate Currency Lists ",
  "BusinessUnit" : "Vision Operations",
  "BusinessUnitId" : "204",
  "Status" : "In progress",
  "StatusCode" : "IN_PROGRESS",
  "StartDate" : "2025-12-17T00:00:00+00:00",
  "EndDate" : "2026-01-31T00:00:00+00:00",
  "CreationDate" : "2025-12-18T09:16:29+00:00",
  "CreatedBy" : "SCMOPERATIONS",
  "LastUpdateDate" : "2025-12-18T09:16:29.107+00:00",
  "LastUpdatedBy" : "SCMOPERATIONS" 
}
Back to Top